Qt 5.6 | Qt Quick | C++ Classes | Attribute

Qt 5.6.3 Reference Documentation

# Attribute Class

(QSGGeometry::Attribute)

The QSGGeometry::Attribute describes a single vertex attribute in a QSGGeometry More...

Header: | #include <Attribute>
qmake: | QT += quick

- List of all members, including inherited members

## Static Public Members

Attribute | create(int pos, int tupleSize, int primitiveType, bool isPosition = false)

## Detailed Description

The QSGGeometry::Attribute describes a single vertex attribute in a QSGGeometry

The QSGGeometry::Attribute struct describes the attribute register position, the size of the attribute tuple and the attribute type.

It also contains a hint to the renderer if this attribute is the attribute describing the position. The scene graph renderer may use this information to perform optimizations.

It contains a number of bits which are reserved for future use.

See also QSGGeometry.

## Member Function Documentation

### `[static]` Attribute Attribute::create(int pos, int tupleSize, int primitiveType, bool isPosition = false)

Creates a new QSGGeometry::Attribute for attribute register pos with tupleSize. The primitiveType can be any of the supported OpenGL types, such as `GL_FLOAT` or `GL_UNSIGNED_BYTE`.

If the attribute describes the position for the vertex, the isPosition hint should be set to `true`. The scene graph renderer may use this information to perform optimizations.

Use the create function to construct the attribute, rather than an initialization list, to ensure that all fields are initialized.